import { JavaObject } from '../../../java/lang/JavaObject';
import { GostStatistikFachwahlHalbjahr } from '../../../core/data/gost/GostStatistikFachwahlHalbjahr';
export declare class GostStatistikFachwahl extends JavaObject {
    abiturjahr: number;
    id: number;
    kuerzel: String | null;
    bezeichnung: String | null;
    kuerzelStatistik: String | null;
    fachwahlen: Array<GostStatistikFachwahlHalbjahr>;
    constructor();
    isTranspiledInstanceOf(name: string): boolean;
    static transpilerFromJSON(json: string): GostStatistikFachwahl;
    static transpilerToJSON(obj: GostStatistikFachwahl): string;
    static transpilerToJSONPatch(obj: Partial<GostStatistikFachwahl>): string;
}
export declare function cast_de_nrw_schule_svws_core_data_gost_GostStatistikFachwahl(obj: unknown): GostStatistikFachwahl;
